import 'package:easy_localization/easy_localization.dart';
import 'package:flutter/material.dart';

import 'package:scrobbles/ui/widgets/app_titles.dart';
import 'package:scrobbles/ui/widgets/settings_form.dart';

class ScreenSettings extends StatelessWidget {
  const ScreenSettings({super.key});

  @override
  Widget build(BuildContext context) {
    return Material(
      color: Theme.of(context).colorScheme.background,
      child: ListView(
        padding: const EdgeInsets.symmetric(horizontal: 4),
        physics: const BouncingScrollPhysics(),
        children: <Widget>[
          SizedBox(height: 8),
          AppTitle1(text: tr('settings_title')),
          SettingsForm(),
        ],
      ),
    );
  }
}
